<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'fcompas';
	var  $pdesco = '0';
	var  $n_reg = '0';
	var  $agdescrip = '0';
	var  $arfc = '0';
	var  $adireccion = '0';
	//var  $aciuda = '0';
	var  $acp = '0';
	var  $amail = '0';
	var  $pobser = '0';
	var  $aciudad = '0';
	//var  $anumext = '0';
	var  $pestado = '0';
	var  $ppais = '0';
	var  $acolonia = '0';
	var  $afax = '0';
	var  $atelefono = '0';
	var  $acontacto = '0';
	
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $status = '0';
	var  $lastInsId = '0';
	
	//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE n_reg = '$this->n_reg' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->n_reg=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (n_reg, pdesco, agdescrip, arfc, adireccion, acp, amail, pobser, aciudad, pestado, ppais, acolonia, afax, atelefono, acontacto, acc_fec, acc_hor, usuario, no_ext) values ('$this->n_reg', '$this->pdesco', '$this->agdescrip', '$this->arfc', '$this->adireccion', '$this->acp', '$this->amail', '$this->pobser', '$this->aciudad', '$this->pestado', '$this->ppais', '$this->acolonia', '$this->afax', '$this->atelefono', '$this->acontacto', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['usuario']."', '$this->no_ext')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = '".$_POST['pos_pun_ven']."'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,'select n_reg from fcompas order by CAST(n_reg AS UNSIGNED) desc limit 1'));
		return ($dt_invent['n_reg']+1);
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET pdesco='$this->pdesco', agdescrip='$this->agdescrip', arfc='$this->arfc', adireccion='$this->adireccion', acp='$this->acp', amail='$this->amail', pobser='$this->pobser', aciudad='$this->aciudad', pestado='$this->pestado', ppais='$this->ppais', acolonia='$this->acolonia', afax='$this->afax', atelefono='$this->atelefono', acontacto='$this->acontacto',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['usuario']."', cod_var='$this->cod_var', no_ext='$this->no_ext' where n_reg ='$n_reg'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
//128-->119?>